#ifndef TREEITEM_H
#define TREEITEM_H

#include <QList>
#include <QVariant>

class LinkableMapObj;

class TreeItem
{
public:
	enum Type {Undefined,MapCenter,Branch};
    TreeItem(const QList<QVariant> &data, TreeItem *parent = 0);
    ~TreeItem();

    void appendChild(TreeItem *child);

    TreeItem *child(int row);
    int childCount() const;
    int columnCount() const;
    QVariant data(int column) const;
	void setHeading (const QString s);
	QString getHeading();
	void setType (const Type t);
	Type getType ();
	QString getTypeName ();
	
    int row() const;
	int column() const;
    TreeItem *parent();

	// Relation to map objects in graphicsscene
	LinkableMapObj* getLMO();
	void setLMO (LinkableMapObj*);

private:
    QList<TreeItem*> childItems;
    QList<QVariant> itemData;
    TreeItem *parentItem;
 
	Type type;
	LinkableMapObj *lmo;
};

#endif
