#include "vymview.h"

#include "mapeditor.h"

VymView::VymView(VymModel *model)
{
	// Create TreeView
	QTreeView *treeview=new QTreeView;
	treeview->setModel ((QAbstractItemModel*)model);
	treeview->setMinimumWidth (350);
	treeview->setColumnWidth (0,350);

	// Create good old MapEditor
	MapEditor* me=model->getMapEditor();
	if (!me) me=new MapEditor (model);

	me->setSelectionModel (treeview->selectionModel() );

	//me->viewport()->setFocus();
	//FIXME me->setAntiAlias (actionViewToggleAntiAlias->isOn());
	//FIXME me->setSmoothPixmap(actionViewToggleSmoothPixmapTransform->isOn());

	addWidget (treeview);
	addWidget (me);

	// Set geometry
	QList <int> sizes;
	sizes.append (150);
	sizes.append (600);
	setSizes (sizes);
}

QItemSelectionModel* VymView::selectionModel() 
{
	if (treeview) return treeview->selectionModel();
	return NULL;
}


